Μετάβαση στο περιεχόμενο

Grok Imagine Video 1.5 Text to Video

Ενσωμάτωση

id μοντέλου xai/grok-imagine-video/v1.5/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/xai/grok-imagine-video/v1.5/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Three tiny anthropomorphic kittens sit on a park bench. One combs another’s fur with a tiny brush while the third stands and holds the tip jar out toward the camera, gesturing with its free paw. They suddenly all start waving and meowing excitedly as a leaf floats by. A colorful sign in front reads “Tips for cuteness overload ” Soft afternoon sunlight through trees, realistic fur and expressive faces, gentle camera push.",
    "duration": 5,
    "resolution": "480p",
    "aspect_ratio": "16:9"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Αυτό το αίτημα: 0,40 $ 400 πιστώσεις API Εκτέλεση σε αυτήν τη σελίδα

Λήψη κλειδιού API

Παραδείγματα

Έξοδος · ~44 s

ΠροτροπήThree tiny anthropomorphic kittens sit on a park bench. One combs another’s fur with a tiny brush while the third stands and holds the tip jar out toward the camera, gesturing with its free paw. They suddenly all start waving and meowing excitedly as a leaf floats by. A colorful sign in front reads “Tips for cuteness overload ” Soft afternoon sunlight through trees, realistic fur and expressive faces, gentle camera push.

5 s480p16:90,40 $ · 400 πιστώσεις API

Prompt από τον/την @JayKay65220066 στο X

Δημιουργία αιτήματος

Τα στοιχεία ελέγχου δημιουργούνται από το σχήμα του μοντέλου. Ο κώδικας και η τιμή ενημερώνονται καθώς τα αλλάζετε.

•απαιτείται 424 / 4096

Περιγραφή που καθορίζει ποιο βίντεο θα δημιουργηθεί.

resolution

Ανάλυση του βίντεο εξόδου.

aspect_ratio

Αναλογία διαστάσεων του τελικού βίντεο.

Διάρκεια βίντεο σε δευτερόλεπτα.

POST /run/xai/grok-imagine-video/v1.5/text-to-video?wait=20 προσφορά → 0,40 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/xai/grok-imagine-video/v1.5/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Three tiny anthropomorphic kittens sit on a park bench. One combs another’s fur with a tiny brush while the third stands and holds the tip jar out toward the camera, gesturing with its free paw. They suddenly all start waving and meowing excitedly as a leaf floats by. A colorful sign in front reads “Tips for cuteness overload ” Soft afternoon sunlight through trees, realistic fur and expressive faces, gentle camera push.",
    "duration": 5,
    "resolution": "480p",
    "aspect_ratio": "16:9"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Εκτέλεση αυτού του αιτήματος

Το κλειδί σας παραμένει σε αυτό το πρόγραμμα περιήγησης: αποστέλλεται μόνο στο Doitong API και αποθηκεύεται (localStorage) μόνο αν ενεργοποιήσετε την επιλογή «Να απομνημονεύεται». Λήψη κλειδιού API

Σχετικά με το Grok Imagine Video 1.5 Text to Video

Το Grok Imagine Video 1.5 μετατρέπει ένα prompt σε κλιπ οποιασδήποτε ακέραιας διάρκειας από 1 έως 15 δευτερόλεπτα, με δυναμική κίνηση που ταιριάζει σε ανιμέ, δράση και στυλιζαρισμένη εμφάνιση, καθώς και σε ρεαλισμό. Επτά αναλογίες διαστάσεων από 9:16 έως 16:9, σε 480p, 720p ή 1080p· η τιμή αυξάνεται γραμμικά με τη διάρκεια.

Παράμετροι

ΌνομαΤύπος ΠροεπιλογήΕπιτρεπόμενο Περιγραφή
promptαπαιτείται
Τύποςstring
≤ 4.096 χαρακτήρες
Περιγραφή που καθορίζει ποιο βίντεο θα δημιουργηθεί.
durationπροαιρετικό
Τύποςinteger
Προεπιλογή6
1 – 15
Διάρκεια βίντεο σε δευτερόλεπτα.
resolutionπροαιρετικό
Τύποςenum
Προεπιλογή720p
480p720p1080p
Ανάλυση του βίντεο εξόδου.
aspect_ratioπροαιρετικό
Τύποςenum
Προεπιλογή16:9
16:94:33:21:12:33:49:16
Αναλογία διαστάσεων του τελικού βίντεο.
απαιτείται

Έξοδος

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "xai/grok-imagine-video/v1.5/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "prompt": "Anime schoolgirl bursts out of her front door, cherry blossoms swirling, morning light, speed lines",
    "duration": 5,
    "resolution": "480p"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Τα αρχεία σας, η επιλογή σαςΚάθε outputs[].url είναι ένα αντίγραφο στην αποθήκευσή μας: διατηρείται για πάντα (χρέωση ανά GB-μήνα) ή 7 ημέρες δωρεάν, σύμφωνα με τη ρύθμιση του λογαριασμού σας ή ?storage=.
Ίδια μορφή σε κάθε μοντέλοtype, url, content_type, width, height και duration, τόσο για εικόνες όσο και για βίντεο και ήχο. Το output είναι το αντικείμενο αποτελέσματος του ίδιου του μοντέλου.
Πεδία εξόδου
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}Βίντεο που παράγεται από το μοντέλο.

Περισσότερα μοντέλα: Κείμενο σε βίντεο

Για πράκτορες AI: αυτή η σελίδα σε Markdown βρίσκεται στη διεύθυνση https://doitong.com/el/developers/models/xai/grok-imagine-video/v1.5/text-to-video.md. Όλα τα μοντέλα και οι οδηγοί: https://doitong.com/developers/llms.txt